Get all products of a service

This endpoint returns all products configured within a service or store.

GET /api/v1/businesses/{businessId}/services/{serviceId}/products/

If the data included in the request is correct —businessId and serviceId—, the response will contain the list of products associated with the service or store.

Response example

[
    {
        "productOuterId": "0001-HD",
        "name": "HD",
        "serviceOuterId": "0001",
        "replacementOuterId": "0002",
        "replacementPercentage": 0.2
    },
    {
        "productOuterId": "0001-GENERAL",
        "name": "GENERAL",
        "serviceOuterId": "0001"
    }
]
Details
  • productOuterId: external identifier of the product.

  • name: name of the product.

  • serviceOuterId: external identifier of the service the product belongs to.

  • replacementOuterId: external identifier of the substitution product, if applicable.

  • replacementPercentage: correction percentage applied to the measures of the substitution product.

The response will contain all products of the service with the information defined for each of them. If a product does not have an external identifier, for example, this data cannot be returned.

Considerations

If the service has no associated products, the request will return an empty array [].

Disabled products will also appear in the response.

Error codes

This endpoint does not return any error codes of its own beyond those described in common errors.

What is a product? And a replacement product?